GNU bug report logs - #27447
pelican-quickstart produces files with store path shebangs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: ng0 <ng0@HIDDEN>; dated Thu, 22 Jun 2017 12:37:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Removed tag(s) moreinfo. Request was from Mark H Weaver <mhw@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 27447 <at> debbugs.gnu.org:


Received: (at 27447) by debbugs.gnu.org; 14 Jan 2021 23:02:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 18:02:03 2021
Received: from localhost ([127.0.0.1]:39557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l0Bcw-000184-Mn
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 18:02:03 -0500
Received: from world.peace.net ([64.112.178.59]:45862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1l0Bct-00017Y-Gt
 for 27447 <at> debbugs.gnu.org; Thu, 14 Jan 2021 18:02:01 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1l0Bcm-0000L0-Vu; Thu, 14 Jan 2021 18:01:53 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#27447: pelican-quickstart produces files with store path
 shebangs
In-Reply-To: <86h7njsvtn.fsf@HIDDEN>
References: <20170622123528.7xhnrkj5ksjznp3g@abyayala>
 <868s9uvprq.fsf@HIDDEN> <86a6tftyrm.fsf@HIDDEN>
 <87im804dds.fsf@HIDDEN> <86h7njsvtn.fsf@HIDDEN>
Date: Thu, 14 Jan 2021 18:00:40 -0500
Message-ID: <87a6tb3yz0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27447
Cc: 27447 <at> debbugs.gnu.org, ng0 <ng0@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Simon,

zimoun <zimon.toutoune@HIDDEN> writes:

> First, one key point is the dates=E2=80=A6
>
>>> On Fri, 18 Dec 2020 at 21:10, zimoun <zimon.toutoune@HIDDEN> wrote:
>>>> On Thu, 22 Jun 2017 at 12:35, ng0 <ng0@HIDDEN> wrote:
>
> =E2=80=A6so more than 3 years without any comment.

That a bug has been neglected for years does not imply that it's no
longer a bug, or that we should forget about it.

> Second, it does not appear to me a bug.  The =E2=80=9Cquickstart=E2=80=9D=
 generates
> local configuration files that contain absolute path to the Python
> interpreter.
>
> --8<---------------cut here---------------start------------->8---
> $ guix environment -C --ad-hoc pelican coreutils grep
> [env]$ mkdir foo && cd foo && ls -l
> total 0
>
> [env]$ pelican-quickstart
> Welcome to pelican-quickstart v4.2.0.
>
> This script will help you create a new Pelican-based website.
>
> Please answer the following questions so this script can generate the fil=
es
> needed by Pelican.
>
>=20=20=20=20=20
>> Where do you want to create your new web site? [.]=20
>> What will be the title of this web site? Foo
>> Who will be the author of this web site? zimoun
>> What will be the default language of this web site? [en]=20
>> Do you want to specify a URL prefix? e.g., https://example.com   (Y/n) n
>> Do you want to enable article pagination? (Y/n) n
>> What is your time zone? [Europe/Paris]=20
>> Do you want to generate a tasks.py/Makefile to automate generation and p=
ublishing? (Y/n) y
>> Do you want to upload your website using FTP? (y/N) N
>> Do you want to upload your website using SSH? (y/N) N
>> Do you want to upload your website using Dropbox? (y/N) N
>> Do you want to upload your website using S3? (y/N) N
>> Do you want to upload your website using Rackspace Cloud Files? (y/N) N
>> Do you want to upload your website using GitHub Pages? (y/N) N
> Done. Your new project is available at /tmp/bar
>
> [env]$ ls
> Makefile  content  output  pelicanconf.py  publishconf.py  tasks.py
>
> [env]$ egrep -nr "store"
> pelicanconf.py:1:#!/gnu/store/h8jw9qhyfp6fm6nb3cgh4335qhr31wfz-python-wra=
pper-3.8.2/bin/python
> publishconf.py:1:#!/gnu/store/h8jw9qhyfp6fm6nb3cgh4335qhr31wfz-python-wra=
pper-3.8.2/bin/python
> --8<---------------cut here---------------end--------------->8---
>
> Why is it a bug?

It's a bug because these absolute file names will cease to exist after
the next 'core-updates' merge happens, and more precisely after the
older system generations (or user profiles) are deleted and 'guix gc'
subsequently deletes these obsolete store items.

At that point, maybe things will break.  I think that would need to be
investigated before dismissing this bug report.

>>> No moreinfo so I am closing.  If I am missing something, then please
>>> reopen it.
>
> Third, no moreinfo about the bug itself, which I consider myself as
> notabug.

In many cases, the lack of "moreinfo" prevents us from further
investigating a bug, and in such cases I agree that it is justifiable to
close a bug report.  For example, users often report a bug that we are
unable to reproduce, and then they stop communicating.

However, this case is quite different.  In this case, we already enough
information to reproduce and investigate this bug.  The "moreinfo" that
you requested was regarding a side comment that ng0 made about the
possibility of other similar bugs that might be merged with this one.
The fact that ng0 never answered that side question doesn't imply that
the bug he reported is no longer relevant.

I think that there's good reason to believe that this bug is still
relevant.  It certainly has not yet been established here that this bug
does not exist or is harmless.  Therefore, we should not forget about
it, even if ng0 has moved on.

Does that make sense?

Nonetheless, I very much appreciate your ongoing work on these old bug
reports.  It is a great help.

     Regards,
       Mark




Information forwarded to bug-guix@HIDDEN:
bug#27447; Package guix. Full text available.

Message received at 27447 <at> debbugs.gnu.org:


Received: (at 27447) by debbugs.gnu.org; 14 Jan 2021 09:42:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 04:42:04 2021
Received: from localhost ([127.0.0.1]:37232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzz8g-00089g-EA
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 04:42:04 -0500
Received: from mail-wm1-f53.google.com ([209.85.128.53]:55434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kzz8f-00089S-AB
 for 27447 <at> debbugs.gnu.org; Thu, 14 Jan 2021 04:41:57 -0500
Received: by mail-wm1-f53.google.com with SMTP id c124so3923795wma.5
 for <27447 <at> debbugs.gnu.org>; Thu, 14 Jan 2021 01:41:57 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=vyn6MTXETQ6mwC2KWyhKCaIOKXgBHBd2x/VjNydKTxM=;
 b=updZiXw7kRTuldxpngjAwVQliKI4haKE37i8h0XndEz/1zr1Ph/0/TCnJKx/X/rUzI
 3J5+HO/EnQYvLi0zybBNXSEmcsPH2DnGhZmEev1PsPIbdTHFR6YCbv18ofXa+zN5NQxU
 gcprxsm4RDDoBrAm+rlkCw+U1vMNHXi2oQrDuFZmxTHXLnLV/zKFLyoz7/7k7Zip7gqg
 O1ChUEQXN+wQgHBUGAQxVJcz2CfH75mXG0gt7EqOXtAhNwEniO9dffrPPh2VbyZcVBG5
 wnR56XsWQQsqgDhF7qnUMIhgDQkDBCtoRTmdWoRK7x8X8K/3O24CIZ7O1CZYJou07oZa
 i9oQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=vyn6MTXETQ6mwC2KWyhKCaIOKXgBHBd2x/VjNydKTxM=;
 b=j6QbvdKqwVW0/FK7wgsBddLnHR65cOzN07rAD3HOhZph46cHYPzq3Gbvc+x5oT2QzE
 Zmyz1YJinsaaJBFtuQ8Jll86Yt8HcCOxzUEqV80w//U+PGk+0T5K5pAKDFcfgpCj4Cf6
 AjIByLqHxvgyRKTmmnL5ioFUKdwE/xF6oji9WYLUAD1/DEl9aVpBFN9AWn/gt/c+9PEH
 ZwUwzZsRgqU8q8iCtKXrBQGZ+b3HIJcOMYXHkRn8yPYvM/Eb26LOBamTaE/CrwFqIB1m
 iCrLfy+gEyzsfY6+FSr/ZdofjUtlS6fQeRUHp5vQseAdjLzHBRmzm3y5FEFDuIiNGvu0
 T6tA==
X-Gm-Message-State: AOAM533ReQUJGGcE2hJS35B7EQj07GhL7DYoEDk7jg3iTy1LsxOPb0xP
 cTjdX8Jes+C9qwHsmNAaT5zhbHknlL4=
X-Google-Smtp-Source: ABdhPJycIbi29xpaQgyyLsu6lp70FQgZL/XVC1L80hLak7rO7NEFekREFuwlDo5ytip8IsOCxYaC1A==
X-Received: by 2002:a7b:c10e:: with SMTP id w14mr3037030wmi.161.1610617311289; 
 Thu, 14 Jan 2021 01:41:51 -0800 (PST)
Received: from lili ([88.126.110.68])
 by smtp.gmail.com with ESMTPSA id z6sm8765353wrw.58.2021.01.14.01.41.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 14 Jan 2021 01:41:50 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#27447: pelican-quickstart produces files with store path
 shebangs
References: <20170622123528.7xhnrkj5ksjznp3g@abyayala>
 <868s9uvprq.fsf@HIDDEN> <86a6tftyrm.fsf@HIDDEN>
 <87im804dds.fsf@HIDDEN>
Date: Thu, 14 Jan 2021 10:37:40 +0100
In-Reply-To: <87im804dds.fsf@HIDDEN> (Mark H. Weaver's message of "Wed, 13
 Jan 2021 18:37:08 -0500")
Message-ID: <86h7njsvtn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27447
Cc: 27447 <at> debbugs.gnu.org, ng0 <ng0@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Mark,

First, one key point is the dates=E2=80=A6

>> On Fri, 18 Dec 2020 at 21:10, zimoun <zimon.toutoune@HIDDEN> wrote:
>>> On Thu, 22 Jun 2017 at 12:35, ng0 <ng0@HIDDEN> wrote:

=E2=80=A6so more than 3 years without any comment.  By without any comment,=
 I
mean literally no comment; my email was the first.  I can tell you that
most of the old and forgotten bug reports like this one are simply
emails addressed to incorrect list (bug-guix instead of guix-devel); as
a rule of thumb.  I am trying hard to avoid some false positive by first
understand and second carefully check, so if I do not understand nor be
able to check then I let the report as it is. Well, I am sorry if I have
failed to one or the other.

Second, it does not appear to me a bug.  The =E2=80=9Cquickstart=E2=80=9D g=
enerates
local configuration files that contain absolute path to the Python
interpreter.

--8<---------------cut here---------------start------------->8---
$ guix environment -C --ad-hoc pelican coreutils grep
[env]$ mkdir foo && cd foo && ls -l
total 0

[env]$ pelican-quickstart
Welcome to pelican-quickstart v4.2.0.

This script will help you create a new Pelican-based website.

Please answer the following questions so this script can generate the files
needed by Pelican.

=20=20=20=20
> Where do you want to create your new web site? [.]=20
> What will be the title of this web site? Foo
> Who will be the author of this web site? zimoun
> What will be the default language of this web site? [en]=20
> Do you want to specify a URL prefix? e.g., https://example.com   (Y/n) n
> Do you want to enable article pagination? (Y/n) n
> What is your time zone? [Europe/Paris]=20
> Do you want to generate a tasks.py/Makefile to automate generation and pu=
blishing? (Y/n) y
> Do you want to upload your website using FTP? (y/N) N
> Do you want to upload your website using SSH? (y/N) N
> Do you want to upload your website using Dropbox? (y/N) N
> Do you want to upload your website using S3? (y/N) N
> Do you want to upload your website using Rackspace Cloud Files? (y/N) N
> Do you want to upload your website using GitHub Pages? (y/N) N
Done. Your new project is available at /tmp/bar

[env]$ ls
Makefile  content  output  pelicanconf.py  publishconf.py  tasks.py

[env]$ egrep -nr "store"
pelicanconf.py:1:#!/gnu/store/h8jw9qhyfp6fm6nb3cgh4335qhr31wfz-python-wrapp=
er-3.8.2/bin/python
publishconf.py:1:#!/gnu/store/h8jw9qhyfp6fm6nb3cgh4335qhr31wfz-python-wrapp=
er-3.8.2/bin/python
--8<---------------cut here---------------end--------------->8---

Why is it a bug?

Since the test suite is #f, I have not checked if the package is really
functional.  But the last updates are in 2019-12-29 and a revamp in
2019-01-15 so I assumed the package is functional and this reference in
config files is not an issue.

>>>> We have a couple more bugs like this. If they are already grouped,
>>>> add this bug to them.
>>>
>>> What are these other =E2=80=9Ccouple more bugs like this=E2=80=9D?
>>>
>>> <http://issues.guix.gnu.org/issue/27447>
>>
>> No moreinfo so I am closing.  If I am missing something, then please
>> reopen it.

Third, no moreinfo about the bug itself, which I consider myself as
notabug.  And no moreinfo about other cases to examine them case per
case.  So I closed after waiting couple of weeks.

BTW, the submitter of the report clearly stated they is not working on
Guix anymore [1], therefore, they will no provide moreinfo.

1: <http://logs.guix.gnu.org/guix/2020-12-01.log#230743>


> The lack of response about the "couple more bugs like this" does not
> invalidate the bug reported in this bug report.  I think it was merely a
> suggestion that this bug might possibly be merged with other similar
> bugs.  The key point is that we don't need an answer to that question to
> investigate/fix this bug.

Sorry if it has not appeared as this but I have investigated this bug
and from my understanding, it is not a bug.  Since no one commented, I
have moved forward.  Again sorry if I have missed something.


> Unless we have reason to believe that 'pelican-quickstart' is no longer
> embedding store paths in the generated files, I think we should keep
> this bug open.  Does that make sense?

Why does embed store paths in configuration files is an issue?  Pelican
is a Python application which therefore requires a Python interpreter.
Running =E2=80=99pelican=E2=80=99 against another Python VM than the one it=
 was built
seems a bad idea.

And if the point is run =E2=80=9Cpelican-quickstart=E2=80=9D with one Pelic=
an version
built against one Python VM, and then reuse these generated config files
with another Pelican version built against another Python VM, in this
use-case, the bug is upstream because it embeds absolute path which does
not respect PEP 394 [2].  I agree that in this case, the bug should/must
still be opened until upstream fix.

Well, I am probably missing the story about shebang and Guix.

2: <https://www.python.org/dev/peps/pep-0394/>


All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#27447; Package guix. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 27447 <at> debbugs.gnu.org:


Received: (at 27447) by debbugs.gnu.org; 13 Jan 2021 23:38:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 18:38:31 2021
Received: from localhost ([127.0.0.1]:36798 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzpih-0004qP-39
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 18:38:31 -0500
Received: from world.peace.net ([64.112.178.59]:43024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>)
 id 1kzpib-0004py-9k; Wed, 13 Jan 2021 18:38:25 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kzpiV-0005bQ-4J; Wed, 13 Jan 2021 18:38:19 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, ng0 <ng0@HIDDEN>
Subject: Re: bug#27447: pelican-quickstart produces files with store path
 shebangs
In-Reply-To: <86a6tftyrm.fsf@HIDDEN>
References: <20170622123528.7xhnrkj5ksjznp3g@abyayala>
 <868s9uvprq.fsf@HIDDEN> <86a6tftyrm.fsf@HIDDEN>
Date: Wed, 13 Jan 2021 18:37:08 -0500
Message-ID: <87im804dds.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27447
Cc: 27447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

reopen 27447
thanks

Hi Simon,

zimoun <zimon.toutoune@HIDDEN> writes:

> On Fri, 18 Dec 2020 at 21:10, zimoun <zimon.toutoune@HIDDEN> wrote:
>> On Thu, 22 Jun 2017 at 12:35, ng0 <ng0@HIDDEN> wrote:
>
>>> In a pelican directory after running pelican-quickstart:
>>>
>>> egrep -nr "store"
>>> =E2=80=A6
>>> pelicanconf.py:1:#!/gnu/store/bf54hnwd8mb63zmssc23fwslf5zvxpxs-python-w=
rapper-3.5.3/bin/python
>>> develop_server.sh:1:#!/gnu/store/k7029k5va68lkapbzcycdzj7m5bjb4b8-bash-=
4.4.12/bin/bash
>>> publishconf.py:1:#!/gnu/store/bf54hnwd8mb63zmssc23fwslf5zvxpxs-python-w=
rapper-3.5.3/bin/python
>>>
>>> We have a couple more bugs like this. If they are already grouped,
>>> add this bug to them.
>>
>> What are these other =E2=80=9Ccouple more bugs like this=E2=80=9D?
>>
>> <http://issues.guix.gnu.org/issue/27447>
>
> No moreinfo so I am closing.  If I am missing something, then please
> reopen it.

The lack of response about the "couple more bugs like this" does not
invalidate the bug reported in this bug report.  I think it was merely a
suggestion that this bug might possibly be merged with other similar
bugs.  The key point is that we don't need an answer to that question to
investigate/fix this bug.

Unless we have reason to believe that 'pelican-quickstart' is no longer
embedding store paths in the generated files, I think we should keep
this bug open.  Does that make sense?

    Regards,
      Mark




Information forwarded to bug-guix@HIDDEN:
bug#27447; Package guix. Full text available.

Message received at 27447-done <at> debbugs.gnu.org:


Received: (at 27447-done) by debbugs.gnu.org; 11 Jan 2021 13:07:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 11 08:07:58 2021
Received: from localhost ([127.0.0.1]:56033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kywvO-0005DA-DM
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2021 08:07:58 -0500
Received: from mail-wr1-f54.google.com ([209.85.221.54]:38547)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kywvL-0005Ca-UQ
 for 27447-done <at> debbugs.gnu.org; Mon, 11 Jan 2021 08:07:56 -0500
Received: by mail-wr1-f54.google.com with SMTP id r7so16348081wrc.5
 for <27447-done <at> debbugs.gnu.org>; Mon, 11 Jan 2021 05:07:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=noPruKRHqPH+oCiii4Pvetcows9LYPRfV9ofH1psR9E=;
 b=MxIF+vsbUPW6nBiRI1id+daic2ypYMojdGchRTh7bUkXXpuJ/RgntsvTmDZNMJdzld
 DPWNkPZJXzrFfb33YFigwDPeOwA8xBKrUbf7Q69QVWUC9xxx16ZPK+zavzSG/uhrix5+
 UWMn8wVys4PnLu7qDjiVqU0JkMvmZTsuaY5LvmA0kBdD3AOQDjPwwF3vxh7DUVVlCpm5
 8lktXVPq5hhwYenqcap/Oo28o7Iw4I2SKR3oEdh/9W1lHM0qzDel12KzOWTMoiXH2Sla
 2x3u3vcP+UNNG/7k073dZEn/xK3PlmSru2zPZX6mY4O0WIoq00e9LW+qHZmK8RrXzKbb
 p10w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=noPruKRHqPH+oCiii4Pvetcows9LYPRfV9ofH1psR9E=;
 b=BfBW8FIcjDU3yRfjOcX3Fy9dz+9uufKgeI3aVuHEMercJLhO3WF6PX4mRSgELQ2cKt
 520Ma0rKZF8VR+3zsHMxcfGXl03JecHIoQN06z93dM9a89sFGhfy8eyEv+pstwUcSGLt
 vFJjpPlwMAU1/ijjd8/hvj4lI12CwfNkuJa1QPD8/KMT90YaZaccak2y7beqkUBUGnOs
 X9f8j5MuSuQJcL+oBqW3ERREAsBTZDYxf8xN9KyKjSgd+SNy+kjjwP4CPKHi7sGjLthz
 8pBhi3YUccbwWi5cM7nZ68dNYbRI//59Z4LeC3EXHqONRihPN1DiVDlKndqrRkWv4dFG
 FYEQ==
X-Gm-Message-State: AOAM533eDoMN+W3IE0D36Pn42Q5RuBPEFLbq2L/2wBnevSVxiL1cRcNc
 nzwXGbsx/zE2uDonOWGLedzeQPc63s4=
X-Google-Smtp-Source: ABdhPJx8eKBnD8+5GdLDYOQGrLQHfM7UgwzjfWyrH8CG1u2ilswB+P25gRyKmjKchTzOr6Jc6D740Q==
X-Received: by 2002:a5d:69c2:: with SMTP id s2mr15948623wrw.36.1610370470377; 
 Mon, 11 Jan 2021 05:07:50 -0800 (PST)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id u13sm24192920wrw.11.2021.01.11.05.07.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 11 Jan 2021 05:07:49 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: ng0 <ng0@HIDDEN>
Subject: Re: bug#27447: pelican-quickstart produces files with store path
 shebangs
References: <20170622123528.7xhnrkj5ksjznp3g@abyayala>
 <868s9uvprq.fsf@HIDDEN>
Date: Mon, 11 Jan 2021 13:59:41 +0100
In-Reply-To: <868s9uvprq.fsf@HIDDEN> (zimoun's message of "Fri, 18 Dec 2020
 21:10:49 +0100")
Message-ID: <86a6tftyrm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27447-done
Cc: 27447-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Fri, 18 Dec 2020 at 21:10, zimoun <zimon.toutoune@HIDDEN> wrote:
> On Thu, 22 Jun 2017 at 12:35, ng0 <ng0@HIDDEN> wrote:

>> In a pelican directory after running pelican-quickstart:
>>
>> egrep -nr "store"
>> =E2=80=A6
>> pelicanconf.py:1:#!/gnu/store/bf54hnwd8mb63zmssc23fwslf5zvxpxs-python-wr=
apper-3.5.3/bin/python
>> develop_server.sh:1:#!/gnu/store/k7029k5va68lkapbzcycdzj7m5bjb4b8-bash-4=
.4.12/bin/bash
>> publishconf.py:1:#!/gnu/store/bf54hnwd8mb63zmssc23fwslf5zvxpxs-python-wr=
apper-3.5.3/bin/python
>>
>> We have a couple more bugs like this. If they are already grouped,
>> add this bug to them.
>
> What are these other =E2=80=9Ccouple more bugs like this=E2=80=9D?
>
> <http://issues.guix.gnu.org/issue/27447>

No moreinfo so I am closing.  If I am missing something, then please
reopen it.


All the best,
simon




Notification sent to ng0 <ng0@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to zimoun <zimon.toutoune@HIDDEN>:
You have taken responsibility. Full text available.
Added tag(s) moreinfo. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 27447 <at> debbugs.gnu.org:


Received: (at 27447) by debbugs.gnu.org; 18 Dec 2020 20:14:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 18 15:14:00 2020
Received: from localhost ([127.0.0.1]:40062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kqM8V-0003Bw-Pu
	for submit <at> debbugs.gnu.org; Fri, 18 Dec 2020 15:14:00 -0500
Received: from mail-wm1-f42.google.com ([209.85.128.42]:55009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kqM8S-0003Ao-3E
 for 27447 <at> debbugs.gnu.org; Fri, 18 Dec 2020 15:13:56 -0500
Received: by mail-wm1-f42.google.com with SMTP id c133so3510275wme.4
 for <27447 <at> debbugs.gnu.org>; Fri, 18 Dec 2020 12:13:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=5TvayvdmuJOvX4/RjE+FsUrAVkrA+yJTc6sFdcXPjog=;
 b=C7alhzLojvSw+FqoxAzkDR7X+6/yjq0fMzQMcA1qHyQpAYtaUyq5pRaIA/tmgN+GNH
 t1JQV1j7SeH2VUuNzlgnya3hNH8WkyGYiLIxhg/C4nKf3+PqpFZEkVrDYuXkEUp0bJMs
 aIdqxAeccP7SRydWUSqQbAJzuiKBDBWb1IeGX1ozYWB8F9jSSeNLPD1Y5hdXhmAbLdZJ
 g4dZ8wptSClQvwsuBIcOIyB9nSyooo5WXv6RMsBysraF4/cEyYtVFMwaSTWGfVIQmhQb
 iBYNPMP/k005giwhEtsozYuTSNs5GIT0OlLhGDxF2eU7B+rgpXWOA7yWakbJSGQcRkW+
 Wl3g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=5TvayvdmuJOvX4/RjE+FsUrAVkrA+yJTc6sFdcXPjog=;
 b=nBC+nSVEJ0xVigF+jaY3vvmhs/MQ2nF2aCX8zucBRu5utf0Ds1bQjiIpKXKukbq2DH
 Wfc7iqae/5CNCUwDBREjVfXNCOCcK6kvSGnDga8m6fJUckwLPz5hNi3ByhTBOO1fKpxH
 AJK5CZZb58yuht/X0QDSIacI1FMAU3IXwoNVo39h3jHq+Uqu5lxoxwa8CS9Fpzap5pAb
 Kr81GzdVFnzqfUo0BOTpnFtYaJnb5yRHUxXZiWIhVld5nyfzL2G/4j77zJ/JuX3XvviW
 pOimeE7Og1pA1OO2B3gA2ufrAzPcOWEaeQg5/i4QOd2enrO3CKRQlkCvzj0pxTUHwbqi
 n/Xw==
X-Gm-Message-State: AOAM532XiHvwKBCWb1Z7a+Xh6ezhkN4EKzAzgpwnRlrGslMbKbRtYmWd
 WsdS5rGAXZpblR0DzvcQ0ww/LVPubDw=
X-Google-Smtp-Source: ABdhPJyF9TxdK7GRXLvUmILReuewg0L5wEWlZ2Pk9inQ3MM41E9s1gi9nyYmc4FXiQKbGet3sVeFSA==
X-Received: by 2002:a1c:c308:: with SMTP id t8mr5690770wmf.22.1608322430585;
 Fri, 18 Dec 2020 12:13:50 -0800 (PST)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id p15sm14389575wrt.15.2020.12.18.12.13.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 18 Dec 2020 12:13:50 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: ng0 <ng0@HIDDEN>
Subject: Re: bug#27447: pelican-quickstart produces files with store path
 shebangs
References: <20170622123528.7xhnrkj5ksjznp3g@abyayala>
Date: Fri, 18 Dec 2020 21:10:49 +0100
In-Reply-To: <20170622123528.7xhnrkj5ksjznp3g@abyayala>
 (ng0@HIDDEN's message of "Thu, 22 Jun 2017 12:35:28 +0000")
Message-ID: <868s9uvprq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27447
Cc: 27447 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi

On Thu, 22 Jun 2017 at 12:35, ng0 <ng0@HIDDEN> wrote:
> In a pelican directory after running pelican-quickstart:
>
> egrep -nr "store"
> =E2=80=A6
> pelicanconf.py:1:#!/gnu/store/bf54hnwd8mb63zmssc23fwslf5zvxpxs-python-wra=
pper-3.5.3/bin/python
> develop_server.sh:1:#!/gnu/store/k7029k5va68lkapbzcycdzj7m5bjb4b8-bash-4.=
4.12/bin/bash
> publishconf.py:1:#!/gnu/store/bf54hnwd8mb63zmssc23fwslf5zvxpxs-python-wra=
pper-3.5.3/bin/python
>
> We have a couple more bugs like this. If they are already grouped,
> add this bug to them.

What are these oyther =E2=80=9Ccouple more bugs like this=E2=80=9D?

<http://issues.guix.gnu.org/issue/27447>

All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#27447; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Jun 2017 12:36:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 22 08:36:09 2017
Received: from localhost ([127.0.0.1]:60674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dO1LE-0003Bi-Oo
	for submit <at> debbugs.gnu.org; Thu, 22 Jun 2017 08:36:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ng0@HIDDEN>) id 1dO1LD-0003BS-Gf
 for submit <at> debbugs.gnu.org; Thu, 22 Jun 2017 08:36:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ng0@HIDDEN>) id 1dO1L7-0003qJ-Gi
 for submit <at> debbugs.gnu.org; Thu, 22 Jun 2017 08:36:02 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37449)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ng0@HIDDEN>)
 id 1dO1L7-0003qF-DF
 for submit <at> debbugs.gnu.org; Thu, 22 Jun 2017 08:36:01 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43315)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ng0@HIDDEN>) id 1dO1L6-0007kN-2u
 for bug-guix@HIDDEN; Thu, 22 Jun 2017 08:36:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ng0@HIDDEN>) id 1dO1L2-0003pF-3O
 for bug-guix@HIDDEN; Thu, 22 Jun 2017 08:36:00 -0400
Received: from aibo.runbox.com ([91.220.196.211]:54362)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <ng0@HIDDEN>)
 id 1dO1L1-0003ot-ST
 for bug-guix@HIDDEN; Thu, 22 Jun 2017 08:35:56 -0400
Received: from [10.9.9.212] (helo=mailfront12.runbox.com)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <ng0@HIDDEN>) id 1dO1Kz-0002AR-KU
 for bug-guix@HIDDEN; Thu, 22 Jun 2017 14:35:53 +0200
Received: from ori.enn.lu ([85.248.227.163] helo=localhost)
 by mailfront12.runbox.com with esmtpsa (uid:892961 )
 (TLS1.2:RSA_AES_256_CBC_SHA1:256) (Exim 4.82) id 1dO1Kc-0005w7-Rn
 for bug-guix@HIDDEN; Thu, 22 Jun 2017 14:35:31 +0200
Date: Thu, 22 Jun 2017 12:35:28 +0000
From: ng0 <ng0@HIDDEN>
To: bug-guix@HIDDEN
Subject: pelican-quickstart produces files with store path shebangs
Message-ID: <20170622123528.7xhnrkj5ksjznp3g@abyayala>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

In a pelican directory after running pelican-quickstart:

egrep -nr "store"
…
pelicanconf.py:1:#!/gnu/store/bf54hnwd8mb63zmssc23fwslf5zvxpxs-python-wrapper-3.5.3/bin/python
develop_server.sh:1:#!/gnu/store/k7029k5va68lkapbzcycdzj7m5bjb4b8-bash-4.4.12/bin/bash
publishconf.py:1:#!/gnu/store/bf54hnwd8mb63zmssc23fwslf5zvxpxs-python-wrapper-3.5.3/bin/python


We have a couple more bugs like this. If they are already grouped,
add this bug to them.
-- 
ng0
OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
https://krosos.org/~/ng0/ https://www.infotropique.org




Acknowledgement sent to ng0 <ng0@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#27447; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 16 Jan 2021 08:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.